Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Alt

All Superinterfaces:
  Container, FrontsNode, RDFNode, Resource

    public interface Alt

extends Container

An RDF Alternative container.

This interface defines methods for accessing RDF Alternative resources. These methods operate on the RDF statements contained in a model. The Alternative implementation may cache state from the underlying model, so objects should not be added to or removed from the Alternative by directly manipulating its properties, whilst the Alternative is being accessed through this interface.

When a member is deleted from an Alternative using this interface, or an iterator returned through this interface, all the other members with higher ordinals are renumbered using an implementation dependendent algorithm.

This interface provides methods supporting typed literals. This means that methods are provided which will translate a built in type, or an object to an RDF Literal. This translation is done by invoking the `toString()` method of the object, or its built in equivalent. The reverse translation is also supported. This is built in for built in types. Factory objects, provided by the application, are used for application objects.

This interface provides methods for supporting enhanced resources. An enhanced resource is a resource to which the application has added behaviour. RDF containers are examples of enhanced resources built in to this package. Enhanced resources are supported by encapsulating a resource created by an implementation in another class which adds the extra behaviour. Factory objects are used to construct such enhanced resources.

Version:
  Release='$Name: $' Revision='$Revision: 1.12 $' Date='$Date: 2008/01/02 12:05:46 $'
Author:
  bwm

Method Summary
`RDFNode` | `getDefault()` Return the default value for this resource.
`Alt` | `getDefaultAlt()` Return the default value for this resource.
`Bag` | `getDefaultBag()` Return the default value for this resource.
`boolean` | `getDefaultBoolean()` Return the default value for this resource.
`byte` | `getDefaultByte()` Return the default value for this resource.
`char` | `getDefaultChar()` Return the default value for this resource.
`double` | `getDefaultDouble()` Return the default value for this resource.
`float` | `getDefaultFloat()` Return the default value for this resource.
`int` | `getDefaultInt()` Return the default value for this resource.
`java.lang.String` | `getDefaultLanguage()` Return the language of the default value for this resource.
`Literal` | `getDefaultLiteral()` Return the default value for this resource.
`long` | `getDefaultLong()` Return the default value for this resource.
`java.lang.Object` | `getDefaultObject(ObjectF f)` Return the default value for this resource.
`Resource` | `getDefaultResource()` Return the default value for this resource.
`Resource` | `getDefaultResource(ResourceF f)` Return the default value for this resource.
`Seq` | `getDefaultSeq()` Return the default value for this resource.
`short` | `getDefaultShort()` Return the default value for this resource.
`java.lang.String` | `getDefaultString()` Return the default value for this resource.
`Container` | `remove(Statement s)` Remove a value from the container.
`Alt` | `setDefault(boolean o)` Set the default value of this container.
`Alt` | `setDefault(char o)` Set the default value of this container.
`Alt` | `setDefault(double o)` Set the default value of this container.
`Alt` | `setDefault(float o)` Set the default value of this container.
`Alt` | `setDefault(long o)` Set the default value of this container.
`Alt` | `setDefault(java.lang.Object o)` Set the default value of this container.
`Alt` | `setDefault(RDFNode o)` Set the default value of this container.
`Alt` | `setDefault(java.lang.String o)` Set the default value of this container.
`Alt` | `setDefault(java.lang.String o, java.lang.String l)` Set the default value of this container.

Methods inherited from interface com.hp.hpl.jena.rdf.model.Container
`add, add, add, add, add, add, add, add, add, contains, contains, contains, contains, contains, contains, contains, contains, contains, isAlt, isBag, isSeq, iterator, size`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setDefault

    Alt setDefault(RDFNode o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(boolean o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(long o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(char o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(float o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(double o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(java.lang.String o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(java.lang.String o,
                   java.lang.String l)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### setDefault

    Alt setDefault(java.lang.Object o)

  Set the default value of this container.

  Parameters:
    `o` - The value to be set.
  Returns:
    This object to permit cascading calls.

### getDefault

    RDFNode getDefault()

  Return the default value for this resource.

  Returns:
    the default value for this resource.

### getDefaultResource

    Resource getDefaultResource()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultLiteral

    Literal getDefaultLiteral()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultBoolean

    boolean getDefaultBoolean()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultByte

    byte getDefaultByte()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultShort

    short getDefaultShort()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultInt

    int getDefaultInt()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultLong

    long getDefaultLong()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultChar

    char getDefaultChar()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultFloat

    float getDefaultFloat()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultDouble

    double getDefaultDouble()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultString

    java.lang.String getDefaultString()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultLanguage

    java.lang.String getDefaultLanguage()

  Return the language of the default value for this resource.

  Returns:
    the language of the default value for this resource

### getDefaultResource

    Resource getDefaultResource(ResourceF f)

  Return the default value for this resource.

  The factory class f is used to create the object which is returned.

  Parameters:
    `f` - A factory class which will be used to create the object returned.
  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultObject

    java.lang.Object getDefaultObject(ObjectF f)

  Return the default value for this resource.

  The object returned is created by calling the `createObject` method of the factory object `f`.

  Parameters:
    `f` - A factory object used to create the object returned.
  Returns:
    the default value for this resource as an object created by the factory object f.

### getDefaultAlt

    Alt getDefaultAlt()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultBag

    Bag getDefaultBag()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### getDefaultSeq

    Seq getDefaultSeq()

  Return the default value for this resource.

  Returns:
    the default value for this resource interpreted as the return type.

### remove

    Container remove(Statement s)

  Remove a value from the container.

  The predicate of the statement `s` identifies the ordinal of the value to be removed. Once removed, the values in the container with a higher ordinal value are renumbered. The renumbering algorithm is implementation dependent.

  Specified by:
    `remove` in interface `Container`
  Parameters:
    `s` - The statement to be removed from the model.
  Returns:
    this container to enable cascading calls.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP